`timescale 1ns / 1ps


module test_stepper_motor_uni;

	// Inputs
	reg clk;
	reg rstb;
	reg [3:0]step;
	reg cw;
	reg en;

	// Outputs
	wire busy;
	wire m_a;
	wire m_a_b;
	wire m_b;
	wire m_b_b;

	// Instantiate the Unit Under Test (UUT)
	stepper_motor_uni uut (
		.clk(clk), 
		.rstb(rstb), 
		.cw(cw),  
		.step(step),  
		.en(en), 
		.busy(busy),
		.m_a(m_a),
		.m_a_b(m_a_b),
		.m_b(m_b),
		.m_b_b(m_b_b)
	);

        initial begin
                // Initialize Inputs
                repeat(100000000)begin
                  clk = 0;
                  #10;
                  clk = 1;
                  #10;
           end
        end
		
	initial begin
		// Initialize Inputs
		rstb = 0;
		step = 0;
		cw = 1;
		en = 0;
		// Wait 100 ns for global reset to finish
		#100;
		rstb = 1;
		#100;
		en = 1;
		repeat(7) begin
		  #30000000;
		  step = step + 1;
		end
		#30000000;
		step = 15;
		#100000000;		
		step = 2;
		#10000000;
		cw = 0;
		#10000000;
		cw = 1;
		$stop;
        
		// Add stimulus here

	end
      
endmodule

